<?php

namespace xenarabia\hesn\XF\Entity;
use XF\Mvc\Entity\Entity;
use XF\Mvc\Reply;
Class EventLestiner{


    public static function getFavsCats(\XF\Template\Templater $templater, &$type, &$template, array &$params) {
		
        $hesnfav = \XF::finder('xenarabia\hesn\XF:HesnFav')->with('HesnCat', true)->fetch();   
        $params['hesn_favs'] = [
            'favs' => $hesnfav,
            'pageSelected' => $templater->pageParams['pageTitle']
        ];
    }

    
    public static function getFavsCatsMostViewed(\XF\Template\Templater $templater, &$type, &$template, array &$params) {
		
		$option = \XF::options();
        $hesnfav = \XF::finder('xenarabia\hesn\XF:HesnCat')
        ->where('hesn_cat_view', '>=', 1)
        ->order('hesn_cat_view', 'DESC')
        ->limit($option->hesn_num_of_mot_viewed); 
        $params['hesn_most_viewed'] = [
            'fav_cat' => $hesnfav->fetch(),
            'pageSelected' => $templater->pageParams['pageTitle']
        ];
    }
    
   
    
}

?>