<?php

namespace xenarabia\hesn\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class HesnSup extends Entity
{
	 
	
	public static function getStructure(Structure $structure)
	{
		$options = \XF::options();
		$structure->table = 'xf_hesn_sup';
		$structure->shortName = 'xenarabia\hesn\XF:HesnSup';
		$structure->primaryKey = 'hesn_sup_id';
		$structure->columns = [
			'hesn_sup_id' => ['type' => self::UINT, 'autoIncrement' => true],				
			'hesn_cat_id' => ['type' => self::UINT ],	
			'hesn_sup_text' => ['type' => self::STR ],	
            'hesn_sup_audio' => ['type' => self::STR ]
		];
		$structure->getters = [];
		$structure->relations = [
			'HesnCat' => [
				'entity' => 'xenarabia\hesn\XF:HesnCat',
				'type' => self::TO_ONE,
				'conditions' => [['hesn_id', '=', '$hesn_sup_id']],
				'primary' => true
			]
		];
		
		
		return $structure;
    }
    
}