<?php

namespace xenarabia\hesn\XF\Widget;

class HesnRandom extends \XF\Widget\AbstractWidget
{
	

    public function render()
    {

		$option = \XF::options();
		$db = \XF::db();
		$hesnfav = $db->fetchRow("SELECT * FROM xf_hesn_sup ORDER BY RAND() LIMIT 1"); 
    	$viewParams = [
    		'hesn_rand' => $hesnfav
    	];

		// \XF::dump($threads);
        return $this->renderer('widget_hesn_random_sup', $viewParams);
    }

    public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = null)
	{
		$options = $request->filter([
			'limit' => 'uint'
		]);

		return true;
	}
}
